Skip to main content
GET
/
pos
/
sessions
/
banks
/
resolve
curl "https://secureapi.gridlog.io/api/v1/pos/sessions/banks/resolve?networkId=access-bank-ng&accountNumber=1234567890" \
  -H "X-API-Key: YOUR_API_KEY"
{
  "accountName": "John Doe",
  "accountNumber": "1234567890",
  "bankName": "Access Bank"
}
Use this to verify a recipient’s bank account before initiating a payout.
networkId
string
required
Bank network ID from Get Available Banks
accountNumber
string
required
Bank account number to resolve
curl "https://secureapi.gridlog.io/api/v1/pos/sessions/banks/resolve?networkId=access-bank-ng&accountNumber=1234567890" \
  -H "X-API-Key: YOUR_API_KEY"
{
  "accountName": "John Doe",
  "accountNumber": "1234567890",
  "bankName": "Access Bank"
}
accountName
string
Resolved name of the account holder
accountNumber
string
The account number that was resolved
bankName
string
Name of the bank